= form_for jwt_token do |f|
  = render 'layouts/form_errors',
           entity: jwt_token,
           message: t('.errors', count: jwt_token.errors.count)

  .-flex.-gap.-align-items-end
    .rui-field.-flex--grow
      = f.label :description
      = f.text_field :description, required: true, placeholder: t('.description_placeholder')

    .rui-field
      = f.label :expires_at
      .rui-field__field.rui-field--inline
        = f.date_field :expires_at, required: true
        %button.rui-field__field__append{ type: :button, onclick: 'setExpiresAt(60*24)' }= t('.tomorrow')
        %button.rui-field__field__append{ type: :button, onclick: 'setExpiresAt(60*24*7)' }= t('.7_days')
        %button.rui-field__field__append{ type: :button, onclick: 'setExpiresAt(60*24*30)' }= t('.30_days')

    = f.submit t('.create'), class: 'recorder'

:javascript
  const expiresAtField = document.getElementById('jwt_token_expires_at')
  function setExpiresAt(minutes){
    const date = new Date
    date.setMinutes(date.getMinutes() + minutes)
    expiresAtField.value = dateToInputString(date)
  }
